//
//  GeometryCalculator.m
//  Volumenrechner
//
//  Created by Holger Hinzberg on 12.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "GeometryCalculator.h"

@implementation GeometryCalculator

@synthesize height;
@synthesize width;
@synthesize length;


- (double)calculateRectangleArea
{
    return length * width;
}

- (double)calculateCuboidVolume
{
    return [self calculateRectangleArea] * height;
}

- (NSString *)description
{
    // Hier werden die verschiedenen Eigenschaften
    // zu einer langen Zeichenkette zusammengesetzt.
    
    NSString *value =
    [NSString stringWithFormat:@"Länge: %.2f",length];
    value = [value stringByAppendingFormat:
             @" Breite: %.2f", width];
    value = [value stringByAppendingFormat:
             @" Höhe: %.2f", height];
    
    return value;
    
}

@end
